There is a problem installing both ClanLib 0.8 and 0.9 on the same linux system.

If you do:
/.../ClanLib-0.9$ sudo make install
/../ClanLib-0.8$ sudo make install

Then try to compile a ClanLib 0.9 example, it errors (missing classes etc)

Can someone have a look at this